## org.apache.lucene.search
Class MatchAllDocsQuery

    java.lang.Object
      org.apache.lucene.search.Query
          org.apache.lucene.search.MatchAllDocsQuery

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class MatchAllDocsQuery

extends Query

A query that matches all documents.

See Also:
  Serialized Form

Constructor Summary
`MatchAllDocsQuery()`
`MatchAllDocsQuery(java.lang.String normsField)`

Method Summary
`Weight` `createWeight(Searcher searcher)` Expert: Constructs an appropriate Weight implementation for this query.
`boolean` `equals(java.lang.Object o)`
`void` `extractTerms(java.util.Set terms)` Expert: adds all terms occurring in this query to the terms set.
`int` `hashCode()`
`java.lang.String` `toString(java.lang.String field)` Prints a query to a string, with `field` assumed to be the default field and omitted.

Methods inherited from class org.apache.lucene.search.Query
`clone, combine, getBoost, getSimilarity, mergeBooleanQueries, rewrite, setBoost, toString, weight`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MatchAllDocsQuery

    public MatchAllDocsQuery()

### MatchAllDocsQuery

    public MatchAllDocsQuery(java.lang.String normsField)

Parameters:
  `normsField` - Field used for normalization factor (document boost). Null if nothing.

Method Detail

### createWeight

    public Weight createWeight(Searcher searcher)

  Description copied from class: `Query`
  Expert: Constructs an appropriate Weight implementation for this query.

  Only implemented by primitive queries, which re-write to themselves.

  Overrides:
    `createWeight` in class `Query`

### extractTerms

    public void extractTerms(java.util.Set terms)

  Description copied from class: `Query`
  Expert: adds all terms occurring in this query to the terms set. Only works if this query is in its `rewritten` form.

  Overrides:
    `extractTerms` in class `Query`

### toString

    public java.lang.String toString(java.lang.String field)

  Description copied from class: `Query`
  Prints a query to a string, with `field` assumed to be the default field and omitted.

  The representation used is one that is supposed to be readable by `QueryParser`. However, there are the following limitations:

  - If the query was created by the parser, the printed representation may not be exactly what was parsed. For example, characters that need to be escaped will be represented without the required backslash.
  - Some of the more complicated queries (e.g. span queries) don't have a representation that can be parsed by QueryParser.

  Specified by:
    `toString` in class `Query`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `Query`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Query`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.